
data {
   
   int<lower=0> n;
   vector[n] y;
   vector[n] y_dense;
   real mu_m;
   real<lower=0> mu_s;
   real<lower=0> sig_p1;
   real<lower=0> sig_p2;
   real<lower=0> w;
   real<lower=0> alpha;
}

parameters 
{
   
real mu;
real<lower=0> sigma;

}

model {

mu ~ normal(mu_m,mu_s);

sigma ~ gamma(sig_p1,sig_p2);


  for(i in 1:n){
    increment_log_prob((1/alpha)*exp(normal_log(y[i],mu,sigma))^(alpha)-(1.0/((2.0*pi())^(alpha/2.0)*(1+alpha)^1.5*sigma^alpha)));
  }
}

generated quantities {
 real y_predict;
 y_predict = normal_rng(mu,sigma);

}
